---

makepkg:
  stage: build
  script:
    - seblu-build
  artifacts:
    name: $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME-$CI_COMMIT_SHA
    expire_in: 1 week
    paths:
      - "*.pkg.tar.xz"

commitpkg:
  stage: deploy
  script:
    - eval $(ssh-agent -s)
    - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add - > /dev/null
    - seblu-push
  only:
    refs:
      - master
    changes:
      - PKGBUILD
